<html>
<head>
<title>Ogre::ControllerManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ControllerManager Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ControllerManager" --><!-- doxytag: inherits="Singleton&lt; ControllerManager &gt;,Ogre::AllocatedObject" -->
<p>Class for managing <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> instances.  
 <a href="classOgre_1_1ControllerManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ControllerManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ControllerManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1ControllerManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ControllerManager_inherit__map" id="Ogre_1_1ControllerManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; ControllerManager \&gt;" alt="" coords="5,5,248,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="272,5,379,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ControllerManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a10f4bb90f05406d2a2aba8da2dc8b747">ControllerManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#ac22a262e1100162f5f9280f59e47cdbb">~ControllerManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a9f3982cde857fa24a943d006055fc683">createController</a> (const <a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a> &amp;src, const <a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a> &amp;dest, const <a class="el" href="group__General.html#gafa8597a66f145eabb45e932f28fbb0b8">ControllerFunctionRealPtr</a> &amp;func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new controller and registers it with the manager.  <a href="#a9f3982cde857fa24a943d006055fc683"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#aee6987d8cf3b28e404ddaf7305746093">createFrameTimePassthroughController</a> (const <a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a> &amp;dest)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new controller use frame time source and passthrough controller function.  <a href="#aee6987d8cf3b28e404ddaf7305746093"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#af2e310f231acf0c16e49606c067de5fb">clearControllers</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroys all the controllers in existence.  <a href="#af2e310f231acf0c16e49606c067de5fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#adec63ad5547225a6d1023f127205a558">updateAllControllers</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates all the registered controllers.  <a href="#adec63ad5547225a6d1023f127205a558"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#adf59b698017c1bc2af26fa30c0bcfa80">getFrameTimeSource</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a <a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> which provides the time since the last frame as a control value source.  <a href="#adf59b698017c1bc2af26fa30c0bcfa80"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#gafa8597a66f145eabb45e932f28fbb0b8">ControllerFunctionRealPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a4cdfe01292213ab51cd22721de5d0474">getPassthroughControllerFunction</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve a simple passthrough controller function.  <a href="#a4cdfe01292213ab51cd22721de5d0474"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#aca387f07522b8a9d0d432483d4d3c01c">createTextureAnimator</a> (<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *layer, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> sequenceTime)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a texture layer animator controller.  <a href="#aca387f07522b8a9d0d432483d4d3c01c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a59a8e73c5ee11b05b5506ed35759a967">createTextureUVScroller</a> (<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *layer, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> speed)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a basic time-based texture uv coordinate modifier designed for creating scrolling textures.  <a href="#a59a8e73c5ee11b05b5506ed35759a967"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#af5924b16f9b1065603e16afef947352d">createTextureUScroller</a> (<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *layer, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> uSpeed)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a basic time-based texture u coordinate modifier designed for creating scrolling textures.  <a href="#af5924b16f9b1065603e16afef947352d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#ab7eceb56b8f88d6711bb92b89edac320">createTextureVScroller</a> (<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *layer, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> vSpeed)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a basic time-based texture v coordinate modifier designed for creating scrolling textures.  <a href="#ab7eceb56b8f88d6711bb92b89edac320"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a1f82bf242c70d3d07e7bfc36e975e7f2">createTextureRotater</a> (<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *layer, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> speed)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a basic time-based texture coordinate modifier designed for creating rotating textures.  <a href="#a1f82bf242c70d3d07e7bfc36e975e7f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#adb7c1830d90168a153f230bf9185d983">createTextureWaveTransformer</a> (<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *layer, <a class="el" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82d">TextureUnitState::TextureTransformType</a> ttype, <a class="el" href="group__General.html#gabf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a> waveType, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> base=0, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> frequency=1, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> phase=0, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> amplitude=1)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a very flexible time-based texture transformation which can alter the scale, position or rotation of a texture based on a wave function.  <a href="#adb7c1830d90168a153f230bf9185d983"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#ad1e4dcf6097ff3dc2a0fba4983ab43ce">createGpuProgramTimerParam</a> (<a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a> params, size_t paramIndex, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timeFactor=1.0f)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a controller for passing a frame time value through to a vertex / fragment program parameter.  <a href="#ad1e4dcf6097ff3dc2a0fba4983ab43ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a8101005e37057a9e2b4830f8294d76ad">destroyController</a> (<a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *controller)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes &amp; destroys the controller passed in as a pointer.  <a href="#a8101005e37057a9e2b4830f8294d76ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a22912479acd815fc94365804a8a6238e">getTimeFactor</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return relative speed of time as perceived by time based controllers.  <a href="#a22912479acd815fc94365804a8a6238e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#ac254afaf3a4086f0b1f4fb5391d48446">setTimeFactor</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> tf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the relative speed to update frame time based controllers.  <a href="#ac254afaf3a4086f0b1f4fb5391d48446"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a66be5a1f5f7fa249d1bbd27d6eaec21d">getFrameDelay</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the constant that is added to time lapsed between each frame.  <a href="#a66be5a1f5f7fa249d1bbd27d6eaec21d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#aa27ced49b9021563ef663cebdd320191">setFrameDelay</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fd)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a constant frame rate.  <a href="#aa27ced49b9021563ef663cebdd320191"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a7426664951c1f7bc6e42ff5e83cd8ec8">getElapsedTime</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the elapsed time.  <a href="#a7426664951c1f7bc6e42ff5e83cd8ec8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#aeae665419e95a8b9a250254462297786">setElapsedTime</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> elapsedTime)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the elapsed time.  <a href="#aeae665419e95a8b9a250254462297786"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a68fb107a5e1b3470c7381c0c1fdd36c7">getSingleton</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a68fb107a5e1b3470c7381c0c1fdd36c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#afc3e91410cbc2f77cfff9f9b09ef60f7">getSingletonPtr</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#afc3e91410cbc2f77cfff9f9b09ef60f7"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1set.html">set</a>&lt; <a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;<br class="typebreak"/>
 * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a096c21cea840f52ad6cbdbc60c47815b">ControllerList</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ControllerManager.html#a096c21cea840f52ad6cbdbc60c47815b">ControllerList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#ad263be2e0db9bbddc6e4587a78f615c8">mControllers</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a555188386569bbacdec2d662b64fd59c">mFrameTimeController</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Global predefined controller.  <a href="#a555188386569bbacdec2d662b64fd59c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gafa8597a66f145eabb45e932f28fbb0b8">ControllerFunctionRealPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#ae275d3c92f688de92071a85e24a3f42f">mPassthroughFunction</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Global predefined controller.  <a href="#ae275d3c92f688de92071a85e24a3f42f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerManager.html#a630fae68555eb16ed10c282fa5826eb8">mLastFrameNumber</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class for managing <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> instances. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This class is responsible to keeping tabs on all the <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a> instances registered and updating them when requested. It also provides a number of convenience methods for creating commonly used controllers (such as texture animators). </dd></dl>

<p>Definition at line <a class="el" href="OgreControllerManager_8h_source.html#l00057">57</a> of file <a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a096c21cea840f52ad6cbdbc60c47815b"></a><!-- doxytag: member="Ogre::ControllerManager::ControllerList" ref="a096c21cea840f52ad6cbdbc60c47815b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1set.html">set</a>&lt;<a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;*&gt;::type <a class="el" href="classOgre_1_1ControllerManager.html#a096c21cea840f52ad6cbdbc60c47815b">Ogre::ControllerManager::ControllerList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreControllerManager_8h_source.html#l00060">60</a> of file <a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a10f4bb90f05406d2a2aba8da2dc8b747"></a><!-- doxytag: member="Ogre::ControllerManager::ControllerManager" ref="a10f4bb90f05406d2a2aba8da2dc8b747" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ControllerManager.html#a10f4bb90f05406d2a2aba8da2dc8b747">Ogre::ControllerManager::ControllerManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac22a262e1100162f5f9280f59e47cdbb"></a><!-- doxytag: member="Ogre::ControllerManager::~ControllerManager" ref="ac22a262e1100162f5f9280f59e47cdbb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ControllerManager.html#ac22a262e1100162f5f9280f59e47cdbb">Ogre::ControllerManager::~ControllerManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af2e310f231acf0c16e49606c067de5fb"></a><!-- doxytag: member="Ogre::ControllerManager::clearControllers" ref="af2e310f231acf0c16e49606c067de5fb" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ControllerManager.html#af2e310f231acf0c16e49606c067de5fb">Ogre::ControllerManager::clearControllers</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroys all the controllers in existence. </p>

</div>
</div>
<a class="anchor" id="a9f3982cde857fa24a943d006055fc683"></a><!-- doxytag: member="Ogre::ControllerManager::createController" ref="a9f3982cde857fa24a943d006055fc683" args="(const ControllerValueRealPtr &amp;src, const ControllerValueRealPtr &amp;dest, const ControllerFunctionRealPtr &amp;func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#a9f3982cde857fa24a943d006055fc683">Ogre::ControllerManager::createController</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gafa8597a66f145eabb45e932f28fbb0b8">ControllerFunctionRealPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a new controller and registers it with the manager. </p>

</div>
</div>
<a class="anchor" id="aee6987d8cf3b28e404ddaf7305746093"></a><!-- doxytag: member="Ogre::ControllerManager::createFrameTimePassthroughController" ref="aee6987d8cf3b28e404ddaf7305746093" args="(const ControllerValueRealPtr &amp;dest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#aee6987d8cf3b28e404ddaf7305746093">Ogre::ControllerManager::createFrameTimePassthroughController</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>dest</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a new controller use frame time source and passthrough controller function. </p>

</div>
</div>
<a class="anchor" id="ad1e4dcf6097ff3dc2a0fba4983ab43ce"></a><!-- doxytag: member="Ogre::ControllerManager::createGpuProgramTimerParam" ref="ad1e4dcf6097ff3dc2a0fba4983ab43ce" args="(GpuProgramParametersSharedPtr params, size_t paramIndex, Real timeFactor=1.0f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#ad1e4dcf6097ff3dc2a0fba4983ab43ce">Ogre::ControllerManager::createGpuProgramTimerParam</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a>&#160;</td>
          <td class="paramname"><em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>paramIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timeFactor</em> = <code>1.0f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a controller for passing a frame time value through to a vertex / fragment program parameter. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The destination parameter is expected to be a float, and the '.x' attribute will be populated with the appropriately scaled time value. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">params</td><td>The parameters to update </td></tr>
    <tr><td class="paramname">paramIndex</td><td>The index of the parameter to update; if you want a named parameter, then retrieve the index beforehand using GpuProgramParameters::getParamIndex </td></tr>
    <tr><td class="paramname">factor</td><td>The factor by which to adjust the time elapsed by before passing it to the program </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aca387f07522b8a9d0d432483d4d3c01c"></a><!-- doxytag: member="Ogre::ControllerManager::createTextureAnimator" ref="aca387f07522b8a9d0d432483d4d3c01c" args="(TextureUnitState *layer, Real sequenceTime)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#aca387f07522b8a9d0d432483d4d3c01c">Ogre::ControllerManager::createTextureAnimator</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td>
          <td class="paramname"><em>layer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>sequenceTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a texture layer animator controller. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This helper method creates the <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system.">Controller</a>, <a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> and <a class="el" href="classOgre_1_1ControllerFunction.html" title="Subclasses of this class are responsible for performing a function on an input value for a Controller...">ControllerFunction</a> classes required to animate a texture. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">layer</td><td><a class="el" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a> object to animate </td></tr>
    <tr><td class="paramname">sequenceTime</td><td>The amount of time in seconds it will take to loop through all the frames. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1f82bf242c70d3d07e7bfc36e975e7f2"></a><!-- doxytag: member="Ogre::ControllerManager::createTextureRotater" ref="a1f82bf242c70d3d07e7bfc36e975e7f2" args="(TextureUnitState *layer, Real speed)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#a1f82bf242c70d3d07e7bfc36e975e7f2">Ogre::ControllerManager::createTextureRotater</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td>
          <td class="paramname"><em>layer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>speed</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a basic time-based texture coordinate modifier designed for creating rotating textures. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>This simple method allows you to easily create constant-speed rotating textures. If you want more control, look up the <a class="el" href="classOgre_1_1ControllerManager.html#adb7c1830d90168a153f230bf9185d983" title="Creates a very flexible time-based texture transformation which can alter the scale, position or rotation of a texture based on a wave function.">ControllerManager::createTextureWaveTransformer</a> for more complex wave-based scrollers / stretchers / rotators. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">layer</td><td>The texture layer to rotate. </td></tr>
    <tr><td class="paramname">vSpeed</td><td>Speed of rotation, in complete anticlockwise revolutions per second </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af5924b16f9b1065603e16afef947352d"></a><!-- doxytag: member="Ogre::ControllerManager::createTextureUScroller" ref="af5924b16f9b1065603e16afef947352d" args="(TextureUnitState *layer, Real uSpeed)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#af5924b16f9b1065603e16afef947352d">Ogre::ControllerManager::createTextureUScroller</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td>
          <td class="paramname"><em>layer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>uSpeed</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a basic time-based texture u coordinate modifier designed for creating scrolling textures. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This simple method allows you to easily create constant-speed u scrolling textures. If you want more control, look up the <a class="el" href="classOgre_1_1ControllerManager.html#adb7c1830d90168a153f230bf9185d983" title="Creates a very flexible time-based texture transformation which can alter the scale, position or rotation of a texture based on a wave function.">ControllerManager::createTextureWaveTransformer</a> for more complex wave-based scrollers / stretchers / rotators. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">layer</td><td>The texture layer to animate. </td></tr>
    <tr><td class="paramname">uSpeed</td><td>Speed of horizontal (u-coord) scroll, in complete wraps per second </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a59a8e73c5ee11b05b5506ed35759a967"></a><!-- doxytag: member="Ogre::ControllerManager::createTextureUVScroller" ref="a59a8e73c5ee11b05b5506ed35759a967" args="(TextureUnitState *layer, Real speed)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#a59a8e73c5ee11b05b5506ed35759a967">Ogre::ControllerManager::createTextureUVScroller</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td>
          <td class="paramname"><em>layer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>speed</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a basic time-based texture uv coordinate modifier designed for creating scrolling textures. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This simple method allows you to easily create constant-speed uv scrolling textures. If you want to specify different speed values for horizontal and vertical scroll, use the specific methods <a class="el" href="classOgre_1_1ControllerManager.html#af5924b16f9b1065603e16afef947352d" title="Creates a basic time-based texture u coordinate modifier designed for creating scrolling textures...">ControllerManager::createTextureUScroller</a> and <a class="el" href="classOgre_1_1ControllerManager.html#ab7eceb56b8f88d6711bb92b89edac320" title="Creates a basic time-based texture v coordinate modifier designed for creating scrolling textures...">ControllerManager::createTextureVScroller</a>. If you want more control, look up the <a class="el" href="classOgre_1_1ControllerManager.html#adb7c1830d90168a153f230bf9185d983" title="Creates a very flexible time-based texture transformation which can alter the scale, position or rotation of a texture based on a wave function.">ControllerManager::createTextureWaveTransformer</a> for more complex wave-based scrollers / stretchers / rotators. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">layer</td><td>The texture layer to animate. </td></tr>
    <tr><td class="paramname">speed</td><td>Speed of horizontal (u-coord) and vertical (v-coord) scroll, in complete wraps per second </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab7eceb56b8f88d6711bb92b89edac320"></a><!-- doxytag: member="Ogre::ControllerManager::createTextureVScroller" ref="ab7eceb56b8f88d6711bb92b89edac320" args="(TextureUnitState *layer, Real vSpeed)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#ab7eceb56b8f88d6711bb92b89edac320">Ogre::ControllerManager::createTextureVScroller</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td>
          <td class="paramname"><em>layer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>vSpeed</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a basic time-based texture v coordinate modifier designed for creating scrolling textures. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This simple method allows you to easily create constant-speed v scrolling textures. If you want more control, look up the <a class="el" href="classOgre_1_1ControllerManager.html#adb7c1830d90168a153f230bf9185d983" title="Creates a very flexible time-based texture transformation which can alter the scale, position or rotation of a texture based on a wave function.">ControllerManager::createTextureWaveTransformer</a> for more complex wave-based scrollers / stretchers / rotators. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">layer</td><td>The texture layer to animate. </td></tr>
    <tr><td class="paramname">vSpeed</td><td>Speed of vertical (v-coord) scroll, in complete wraps per second </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adb7c1830d90168a153f230bf9185d983"></a><!-- doxytag: member="Ogre::ControllerManager::createTextureWaveTransformer" ref="adb7c1830d90168a153f230bf9185d983" args="(TextureUnitState *layer, TextureUnitState::TextureTransformType ttype, WaveformType waveType, Real base=0, Real frequency=1, Real phase=0, Real amplitude=1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="classOgre_1_1ControllerManager.html#adb7c1830d90168a153f230bf9185d983">Ogre::ControllerManager::createTextureWaveTransformer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td>
          <td class="paramname"><em>layer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82d">TextureUnitState::TextureTransformType</a>&#160;</td>
          <td class="paramname"><em>ttype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#gabf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a>&#160;</td>
          <td class="paramname"><em>waveType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>base</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>frequency</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>phase</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>amplitude</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a very flexible time-based texture transformation which can alter the scale, position or rotation of a texture based on a wave function. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">layer</td><td>The texture layer to affect </td></tr>
    <tr><td class="paramname">ttype</td><td>The type of transform, either translate (scroll), scale (stretch) or rotate (spin) </td></tr>
    <tr><td class="paramname">waveType</td><td>The shape of the wave, see WaveformType enum for details </td></tr>
    <tr><td class="paramname">base</td><td>The base value of the output </td></tr>
    <tr><td class="paramname">frequency</td><td>The speed of the wave in cycles per second </td></tr>
    <tr><td class="paramname">phase</td><td>The offset of the start of the wave, e.g. 0.5 to start half-way through the wave </td></tr>
    <tr><td class="paramname">amplitude</td><td>Scales the output so that instead of lying within 0..1 it lies within 0..1*amplitude for exaggerated effects </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8101005e37057a9e2b4830f8294d76ad"></a><!-- doxytag: member="Ogre::ControllerManager::destroyController" ref="a8101005e37057a9e2b4830f8294d76ad" args="(Controller&lt; Real &gt; *controller)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ControllerManager.html#a8101005e37057a9e2b4830f8294d76ad">Ogre::ControllerManager::destroyController</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&#160;</td>
          <td class="paramname"><em>controller</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes &amp; destroys the controller passed in as a pointer. </p>

</div>
</div>
<a class="anchor" id="a7426664951c1f7bc6e42ff5e83cd8ec8"></a><!-- doxytag: member="Ogre::ControllerManager::getElapsedTime" ref="a7426664951c1f7bc6e42ff5e83cd8ec8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1ControllerManager.html#a7426664951c1f7bc6e42ff5e83cd8ec8">Ogre::ControllerManager::getElapsedTime</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the elapsed time. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>See setElapsedTime for full information on the meaning of this value. </dd></dl>

</div>
</div>
<a class="anchor" id="a66be5a1f5f7fa249d1bbd27d6eaec21d"></a><!-- doxytag: member="Ogre::ControllerManager::getFrameDelay" ref="a66be5a1f5f7fa249d1bbd27d6eaec21d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1ControllerManager.html#a66be5a1f5f7fa249d1bbd27d6eaec21d">Ogre::ControllerManager::getFrameDelay</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the constant that is added to time lapsed between each frame. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>See setFrameDelay for full information on the meaning of this value. </dd></dl>

</div>
</div>
<a class="anchor" id="adf59b698017c1bc2af26fa30c0bcfa80"></a><!-- doxytag: member="Ogre::ControllerManager::getFrameTimeSource" ref="adf59b698017c1bc2af26fa30c0bcfa80" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a>&amp; <a class="el" href="classOgre_1_1ControllerManager.html#adf59b698017c1bc2af26fa30c0bcfa80">Ogre::ControllerManager::getFrameTimeSource</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a <a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> which provides the time since the last frame as a control value source. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>A common source value to use to feed into a controller is the time since the last frame. This method returns a pointer to a common source value which provides this information. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Remember the value will only be up to date after the RenderSystem::beginFrame method is called. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd>RenderSystem::beginFrame </dd></dl>

</div>
</div>
<a class="anchor" id="a4cdfe01292213ab51cd22721de5d0474"></a><!-- doxytag: member="Ogre::ControllerManager::getPassthroughControllerFunction" ref="a4cdfe01292213ab51cd22721de5d0474" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#gafa8597a66f145eabb45e932f28fbb0b8">ControllerFunctionRealPtr</a>&amp; <a class="el" href="classOgre_1_1ControllerManager.html#a4cdfe01292213ab51cd22721de5d0474">Ogre::ControllerManager::getPassthroughControllerFunction</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve a simple passthrough controller function. </p>

</div>
</div>
<a class="anchor" id="a68fb107a5e1b3470c7381c0c1fdd36c7"></a><!-- doxytag: member="Ogre::ControllerManager::getSingleton" ref="a68fb107a5e1b3470c7381c0c1fdd36c7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a>&amp; <a class="el" href="classOgre_1_1ControllerManager.html#a68fb107a5e1b3470c7381c0c1fdd36c7">Ogre::ControllerManager::getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; ControllerManager &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="afc3e91410cbc2f77cfff9f9b09ef60f7"></a><!-- doxytag: member="Ogre::ControllerManager::getSingletonPtr" ref="afc3e91410cbc2f77cfff9f9b09ef60f7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a>* <a class="el" href="classOgre_1_1ControllerManager.html#afc3e91410cbc2f77cfff9f9b09ef60f7">Ogre::ControllerManager::getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; ControllerManager &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a22912479acd815fc94365804a8a6238e"></a><!-- doxytag: member="Ogre::ControllerManager::getTimeFactor" ref="a22912479acd815fc94365804a8a6238e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1ControllerManager.html#a22912479acd815fc94365804a8a6238e">Ogre::ControllerManager::getTimeFactor</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return relative speed of time as perceived by time based controllers. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>See setTimeFactor for full information on the meaning of this value. </dd></dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ControllerManager::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ControllerManager::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ControllerManager::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ControllerManager::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ControllerManager::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ControllerManager::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ControllerManager::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ControllerManager::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ControllerManager::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ControllerManager::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeae665419e95a8b9a250254462297786"></a><!-- doxytag: member="Ogre::ControllerManager::setElapsedTime" ref="aeae665419e95a8b9a250254462297786" args="(Real elapsedTime)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ControllerManager.html#aeae665419e95a8b9a250254462297786">Ogre::ControllerManager::setElapsedTime</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>elapsedTime</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the elapsed time. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Normally elapsed time accumulated all frames time (which speed relative to time factor) since the rendering loop started. This method allows your to change that to special time, so some elapsed-time-based globally effect is repeatable. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">elapsedTime</td><td>The new elapsed time </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa27ced49b9021563ef663cebdd320191"></a><!-- doxytag: member="Ogre::ControllerManager::setFrameDelay" ref="aa27ced49b9021563ef663cebdd320191" args="(Real fd)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ControllerManager.html#aa27ced49b9021563ef663cebdd320191">Ogre::ControllerManager::setFrameDelay</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets a constant frame rate. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This function is useful when rendering a sequence to files that should create a film clip with constant frame rate. It will ensure that scrolling textures and animations move at a constant frame rate. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">fd</td><td>The delay in seconds wanted between each frame (1.0f / 25.0f means a seconds worth of animation is done in 25 frames). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac254afaf3a4086f0b1f4fb5391d48446"></a><!-- doxytag: member="Ogre::ControllerManager::setTimeFactor" ref="ac254afaf3a4086f0b1f4fb5391d48446" args="(Real tf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ControllerManager.html#ac254afaf3a4086f0b1f4fb5391d48446">Ogre::ControllerManager::setTimeFactor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>tf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the relative speed to update frame time based controllers. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Normally any controllers which use time as an input (FrameTimeController) are updated automatically in line with the real passage of time. This method allows you to change that, so that controllers are told that the time is passing slower or faster than it actually is. Use this to globally speed up / slow down the effect of time-based controllers. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">tf</td><td>The virtual speed of time (1.0 is real time). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adec63ad5547225a6d1023f127205a558"></a><!-- doxytag: member="Ogre::ControllerManager::updateAllControllers" ref="adec63ad5547225a6d1023f127205a558" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ControllerManager.html#adec63ad5547225a6d1023f127205a558">Ogre::ControllerManager::updateAllControllers</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates all the registered controllers. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ad263be2e0db9bbddc6e4587a78f615c8"></a><!-- doxytag: member="Ogre::ControllerManager::mControllers" ref="ad263be2e0db9bbddc6e4587a78f615c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ControllerManager.html#a096c21cea840f52ad6cbdbc60c47815b">ControllerList</a> <a class="el" href="classOgre_1_1ControllerManager.html#ad263be2e0db9bbddc6e4587a78f615c8">Ogre::ControllerManager::mControllers</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreControllerManager_8h_source.html#l00061">61</a> of file <a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a555188386569bbacdec2d662b64fd59c"></a><!-- doxytag: member="Ogre::ControllerManager::mFrameTimeController" ref="a555188386569bbacdec2d662b64fd59c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga57d5b9493ba9c9b89479f942f237a37c">ControllerValueRealPtr</a> <a class="el" href="classOgre_1_1ControllerManager.html#a555188386569bbacdec2d662b64fd59c">Ogre::ControllerManager::mFrameTimeController</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Global predefined controller. </p>

<p>Definition at line <a class="el" href="OgreControllerManager_8h_source.html#l00064">64</a> of file <a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a630fae68555eb16ed10c282fa5826eb8"></a><!-- doxytag: member="Ogre::ControllerManager::mLastFrameNumber" ref="a630fae68555eb16ed10c282fa5826eb8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1ControllerManager.html#a630fae68555eb16ed10c282fa5826eb8">Ogre::ControllerManager::mLastFrameNumber</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreControllerManager_8h_source.html#l00070">70</a> of file <a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae275d3c92f688de92071a85e24a3f42f"></a><!-- doxytag: member="Ogre::ControllerManager::mPassthroughFunction" ref="ae275d3c92f688de92071a85e24a3f42f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gafa8597a66f145eabb45e932f28fbb0b8">ControllerFunctionRealPtr</a> <a class="el" href="classOgre_1_1ControllerManager.html#ae275d3c92f688de92071a85e24a3f42f">Ogre::ControllerManager::mPassthroughFunction</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Global predefined controller. </p>

<p>Definition at line <a class="el" href="OgreControllerManager_8h_source.html#l00067">67</a> of file <a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::ControllerManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1ControllerManager.html">ControllerManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreControllerManager_8h_source.html">OgreControllerManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
